/*
 * Copyright 2005-2010 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 
package org.wamblee.system.spring;

import org.springframework.core.io.Resource;

import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;

import java.net.URL;

/**
 * 
 * @author $author$
 * @version $Revision$
 */
class StringResource implements Resource {
    private String value;

    /**
     * Creates a new StringResource object.
     * 
     */
    public StringResource(String aValue) {
        value = aValue;
    }

    @Override
    public Resource createRelative(String aRelativePath) throws IOException {
        throw new IOException("No relative resource possible");
    }

    @Override
    public boolean exists() {
        return false;
    }

    @Override
    public String getDescription() {
        return "Properties of a spring component";
    }

    @Override
    public File getFile() throws IOException {
        throw new IOException();
    }

    @Override
    public String getFilename() {
        return "springcomponent.properties";
    }

    @Override
    public URL getURL() throws IOException {
        throw new IOException();
    }

    @Override
    public boolean isOpen() {
        return false;
    }

    @Override
    public InputStream getInputStream() throws IOException {
        return new ByteArrayInputStream(value.getBytes());
    }
}
